@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Sora:wght@100..800&display=swap');

h1 {
    font-size: 2.5rem;
}

h2 {
    margin-bottom: 1rem;
}

h2~p {
    font-size: 1.25rem;
}

body {
    /* overflow-x: hidden; */
    font-family: 'Sora', sans-serif;
}


/* 
body.loaded {
    overflow: hidden !important;
    height: 100% !important;
}

.preloader {
    position: fixed;
    z-index: 10;
    height: 100vh;
    width: 100%;
    left: 0;
    top: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    overflow: hidden;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: transparent;
    z-index: 99999999999999;
}

.preloader svg {
    position: absolute;
    top: 0;
    width: 100vw;
    height: 110vh;
    fill: var(--tj-black-2);
}

.preloader .preloader-heading .load-text {
    font-size: 20px;
    font-weight: 200;
    letter-spacing: 15px;
    color: #fff;
    text-transform: uppercase;
    z-index: 20;
}

.load-text span {
    -webkit-animation: loading 1s infinite alternate;
    animation: loading 1s infinite alternate;
}

.load-text span:nth-child(1) {
    -webkit-animation-delay: 0s;
    animation-delay: 0s;
}

.load-text span:nth-child(2) {
    -webkit-animation-delay: 0.1s;
    animation-delay: 0.1s;
}

.load-text span:nth-child(3) {
    -webkit-animation-delay: 0.2s;
    animation-delay: 0.2s;
}

.load-text span:nth-child(4) {
    -webkit-animation-delay: 0.3s;
    animation-delay: 0.3s;
}

.load-text span:nth-child(5) {
    -webkit-animation-delay: 0.4s;
    animation-delay: 0.4s;
}

.load-text span:nth-child(6) {
    -webkit-animation-delay: 0.5s;
    animation-delay: 0.5s;
}

.load-text span:nth-child(7) {
    -webkit-animation-delay: 0.6s;
    animation-delay: 0.6s;
}

@-webkit-keyframes loading {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

@keyframes loading {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
} */

img {
    width: 100%;
    object-fit: cover;
    vertical-align: middle;
}

h1>span {
    color: #86fde8;
}

h2>span {
    color: #805af5;
}

.navbar {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    z-index: 1000;
}

.navbar .offcanvas {
    background-color: #000;
}

.logo {
    max-width: 150px;
    cursor: pointer;
}

.navbar .nav-link {
    color: #FFF;
    text-transform: uppercase;
    font-weight: 600;
    cursor: pointer;
    position: relative;
    transition: all 0.5s ease-in-out;
}

.navbar .nav-link:hover {
    color: #11998e;
}

.navbar .nav-link::before,
.navbar .nav-link::after {
    content: "";
    position: absolute;
    bottom: -5px;
    width: 0;
    height: 4px;
    background-color: #11998e;
    transition: width .3s ease;
}

.navbar .nav-link::before {
    left: 0;
}

.navbar .nav-link::after {
    right: 0;
}

.navbar .nav-link:hover::before,
.navbar .nav-link:hover::after {
    width: 50%;
    transition: width .5s ease;
}

.navbar-toggler:focus {
    box-shadow: none;
}

.navbar-expand-lg .navbar-nav .nav-link {
    padding-right: 0;
    padding-left: 0;
}

#home {
    position: relative;
    padding: 150px 0;
    background: url('bg.png');
    background-size: cover;
    background-position: center center;
    color: #FFF;
}

.about-image {
    position: relative;
    z-index: 2;
    transition-duration: 0.4s;
    cursor: pointer;
}

.about-image img {
    border-radius: 555px 555px 555px 555px;
}

.about-image::before {
    position: absolute;
    width: 100%;
    height: 100%;
    content: "";
    z-index: -1;
    box-shadow: 2px 10px 0 0 rgba(216, 19, 19, 0.16);
    border-radius: 555px 555px 555px 555px;
    background: linear-gradient(90deg, #805af5 0%, #ce99ff 100%);
    background: linear-gradient(90deg, #11998e 0%, #59ad8a 100%);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    background: #43cea2;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #185a9d, #43cea2);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(90deg, #185a9d 0%, #43cea2 100%);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    background: #acb6e5;
    /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #86fde8, #acb6e5);
    /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #86fde8, #acb6e5);
    /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */

}

.about-image:hover {
    transform: translateY(-10.5px);
}

.about-image:hover::before {
    transition: all .4s;
    filter: drop-shadow(0 0 30px rgb(165, 194, 230));
}

#resume {
    background-color: #ECF3F9;
    color: #000;
    padding: 6rem 0;
}

#resume h5 {
    color: #78ADD9;
}

.nav-tabs {
    width: max-content;
    margin: 0 auto;
    background: #FFF;
    padding: 1rem 2rem;
    border-radius: 999px;
    border: 1px solid hsl(0 0% 80%);
}

.nav-tabs .nav-link {
    transition: none;
    color: #000;
}

.nav-tabs .nav-link.active {
    background-color: #805af5;
    border-radius: 999px;
    color: #FFF;
}

.nav-tabs .nav-link:hover {
    border-color: #FFF;
}

.main-tab-content {
    position: relative;
    padding: 1rem 2.1rem;
    color: #000;
    margin-bottom: 1rem;
}

.main-tab-content::after {
    position: absolute;
    content: '';
    height: 7px;
    width: 7px;
    left: 8px;
    top: 25px;
    transform: rotate(45deg);
    background: #E15747;
}

.main-tab-content::before {
    content: '';
    height: 70%;
    width: 3px;
    left: 10px;
    position: absolute;
    background: #E8E8E8;
}

#projects {
    padding: 5rem 0;
    background-color: #805af5;
    color: #FFF;
}

.card-content-image {
    cursor: pointer;
    position: relative;
    cursor: pointer;
    overflow: hidden;
}

.card-content-image img {
    transition: .5s;
}

.card-content:hover img {
    transform: scale(1.1);
}

.card-title {
    padding: 2rem 0;
}

#services {
    padding: 5rem 0;
    background-color: #ECF3F9;
}

#services span {
    color: #805af5;
}

.service-content {
    padding: 50px 40px;
    background: #fff;
    border-radius: 10px;
    transition: .4s;
    cursor: pointer;
    filter: drop-shadow(30px 30px 80px rgba(202, 197, 176, 0.6));
}

.service-content:hover {
    background-color: #805af5;
    color: #FFF;
}

.service-content i {
    font-size: 3rem;
    background: rgba(144, 172, 209, .2);
    padding: 1rem;
    margin-bottom: 1rem;
}

#contact {
    background-color: #000;
    color: #FFF;
}

.contact-info li {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.contact-item i {
    display: inline-block;
    font-size: 1.5rem;
    margin-right: 30px;
}

.form-control {
    background-color: #f6f6f9;
    padding: 0 30px;
    border-radius: 0;
    line-height: 45px;
}

.form-control:focus {
    outline: none;
    box-shadow: 0 0 0 0 rgba(255, 255, 255);
    background-color: #f6f6f9;
    color: #000;
    border-color: #dee2e6;
}

footer {
    background-color: #111;
    border-top: 1px solid rgba(255, 255, 255, 0.05);
    padding: 30px 0;
}

@media (min-width: 768px) {

    h1 {
        font-size: 3.5rem;
    }

    .navbar {
        position: absolute;
    }

    .nav-tabs .nav-link {
        padding: 15px 30px;
        font-size: 1.25rem;
        font-weight: 600;
    }

    #resume {
        padding: 6.5rem 0;
    }

    .main-tab-content {
        margin: 1.5rem 0;
    }

    #projects {
        padding: 6rem 0;
    }

    .swiper {
        padding: 2rem 0;
        filter: drop-shadow(30px 30px 80px rgba(17, 32, 114, 0.6));
    }

    #contact {
        padding: 6rem 0;
    }


    /* .navbar.header-sticky {
        left: 0px;
        right: 0px;
        z-index: 2000;
        top: 0;
        position: fixed;
        background-color: #000;
        backdrop-filter: blur(10px);
        box-shadow: 0 8px 6px -10px rgba(0, 0, 0, 0.5);
        border-bottom: 1px solid hsl(0 0% 20%);
    } */
}

.download-link {
    background-color: #11998e;
    color: #FFF;
    margin-right: 10px;
}

.download-link:hover,
.work-btn:hover {
    background-color: #11998e;
    color: #FFF;
    border-color: #11998e;
}

.btn i {
    font-size: 22px;
}

#home .btn {
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 15px;
    padding-bottom: 16px;
    display: inline-flex;
    align-items: center;
}


.subtitle {
    position: relative;
    letter-spacing: 3px;
    margin-bottom: 20px;
    display: block;
    font-weight: 600;
    text-align: left;
    padding-left: 85px;
    color: #FFF;
    font-size: 1.25rem;
}

.subtitle::before {
    content: "";
    position: absolute;
    top: 12px;
    left: 0;
    width: 50px;
    height: 3px;
    background-color: #FFF;
}

#services .subtitle {
    color: #000;
}

#services .subtitle::before {
    background-color: #000;
}


.card-title h4>span {
    position: relative;
}

.card-title h4>span::before {
    position: absolute;
    content: "";
    width: 100%;
    height: 1px;
    background-color: #FFF;
    left: 0px;
    bottom: 3px;
    transition: all .3s ease;
}

.card-content:hover .card-title h4>span::before {
    width: 0px;
}


#services h2~p {
    font-size: 1rem;
}

.d-grid .btn {
    background-color: #805af5;
    color: #FFF;
    padding: 1rem 0;
}

#contact .social-item {
    margin-top: 0;
}

#contact .social-item a {
    color: #FFF;
    width: 55px;
    height: 55px;
}

#contact .social-item a i {
    font-size: 1.5rem;
}

.social-item {
    margin-top: 20px;
    display: inline-block;
}

.social-item:not(:last-child) {
    margin-right: .5rem;
}

.social-item a {
    width: 40px;
    height: 40px;
    color: #FFF;
    border-radius: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 1px solid hsl(0 0% 80%);
    cursor: pointer;
}

/* ========= Message After Form Submission =======*/

.loader {
    width: 100%;
    padding: 10px;
    background-color: #3d4145;
    margin-top: 10px;
    text-align: center;
    font-weight: 600;
    visibility: hidden;
    opacity: 0;
}

.loader.show {
    visibility: visible;
    opacity: 1;
    animation: fadeIn .4s ease;
}

.loader i {
    animation: rotateme .4s linear infinite;
    color: var(--color1);
}

/*============ Loader animation =========*/

@keyframes rotateme {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}



.form-message {
    width: 100%;
    background-color: #3d4145;
    margin-top: 10px;
    text-align: center;
    font-weight: 600;
    opacity: 0;
    visibility: hidden;
}

.form-message.show {
    opacity: 1;
    visibility: visible;
}

.success-msg {
    color: green;
}

.error-msg {
    color: red;
}